%define cvs_data      20041113

%define pkg_name      libtlen
%define pkg_ver       0.%{cvs_data}
%define pkg_dver      11.0
%define pkg_rver      1
%define pkg_rel       %{pkg_dver}.aur.%{pkg_rver}
%define lib_Mver      1
%define lib_mver      5
%define lib_ver       %{lib_Mver}.%{lib_mver}

Summary: libtlen - Library for tlen.pl (Polish IM protocol based on Jabber).
Name:    %{pkg_name}
Version: %{pkg_ver}
Release: %{pkg_rel}

URL: http://libtlen.eu.org/

License:   GPL

Distribution: Aurox

Group:    System Environment/Libraries
Vendor:   Jaroslaw J. Pyszny <arghil@aurox.org>
Packager: Jaroslaw J. Pyszny <arghil@aurox.org>

Source0: libtlen-%{cvs_data}.tar.gz

Prefix: %{_prefix}

BuildRoot: %{_tmppath}/%{name}-%(id -nu)

%description
The libtlen library.

%package devel

Summary: Development tools for programs which will use the libtlen library.
Group:   Development/Libraries
Requires: %{name} = %{version}

%description devel
This package contains the header files for developing programs which will
using the libtlen library.

%prep
%setup -q -n %{name}-%{cvs_data}

%build
%configure

%{__make}

%install
[ "%{buildroot}" != "/" ] && rm -rf "%{buildroot}"

%makeinstall

%post  -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf "%{buildroot}"

%files
%defattr(755,root,root,755)
%doc docs/AUTHORS
%attr(755,root,root) %{_libdir}/libtlen.so.%{lib_ver}
%{_libdir}/libtlen.so.%{lib_Mver}

%files devel
%defattr(644,root,root,755)
%doc docs/libtlen.html docs/libtlen.css docs/TODO 

%{_includedir}/libtlen
%{_libdir}/libtlen.a
%{_libdir}/libtlen.so

%changelog
* Tue Aug 02 2005 Rafal Kwasny <rkwasny@aurox.org> 0.20041113-11.0.aur.1
- new release
- rebuid

* Fri Jan 23 2004 Aurox Team <aurox@aurox.org> 0:0.20040117-9.3.aur.1
- new version, Aurox 9.3

* Sun Jan 17 2004 Jarosaw J. Pyszny <arghil@aurox.org> 0.20040117-9.2.aur.1
- libtlen 17.01.2004

* Mon Nov 24 2003 Jarosaw J. Pyszny <arghil@aurox.org> 0.20031121-9.2.aur.2
- rebuild

* Sat Nov 11 2003 Jarosaw J. Pyszny <arghil@aurox.org> 0.20031121-1aur
- libtlen 21.11.2003

* Thu Jul 24 2003 Jarosaw J. Pyszny <arghil@tlen.pl> 0.20030724-1.1aur
- move libtlen.so.1 from libtlen-devel to libtlen

* Wed Jul 23 2003 Jarosaw J. Pyszny <arghil@tlen.pl> 0.20030724-1aur
- libtlen 24.07.2003
- initial release
